/* Example CSS file */ 
* {
	box-sizing: border-box;
}

.logo h1 {
  text-indent: -9999px;
  margin: 0;
  padding: 1rem;
}

.logo h1 a {
  width: 80px;
  height: 80px;
  display: block;
  background: url(images/lag-logo.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  transition: all .5s 0s ease;
}

.square-box {
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1;
}
/*
MENU
*/


#overlay {
  width: 33vw;
  height: 100lvh;
  position: fixed;
  padding: 3rem;
  top: 0px;
  right: 0px;
  background: #f2f2f2;
  z-index: 1020;
  transform: translateX(33vw);
  transition: all .5s ease-in-out 0s;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#overlay ul {
  text-transform: uppercase;
  list-style-type: none;
  padding-left: 0;
}

#overlay h2,
#overlay p,
#overlay ul li,
#overlay a {
  color: #000 !important;
}

#overlay h2,
#overlay p,
#overlay ul {
  margin-bottom: 1rem;
}

.main-link {
  display: block;
  font-size: 2rem;
  padding: .5rem 0;
  transition: all .2s ease-in-out 0s;
}

.main-link:hover {
  transform: translateX(10px);
  transition: all .2s ease-in-out 0s;
}

body.menu-active #overlay {
  right:0px;
  transform: translateX(0);
  transition: all .5s ease-in-out 0s;
}

body.menu-active .page-wrapper {
  transform: translateX(-33vw);
  opacity: .5;
  transition: all .5s ease-in-out 0s;
}

body .page-wrapper {
  opacity: 1;
  transition: all .5s ease-in-out 0s;
}

.menu-wrapper {
  position: fixed;
  top: 0;
  right: 0;
  margin: calc(55px / 2);
  width: 25px;
  height: 25px;
  cursor: pointer;
  z-index: 1025;
}

.hamburger-menu,
.hamburger-menu:after,
.hamburger-menu:before {
  width: 25px;
  height: 3px;
}

.hamburger-menu {
  position: relative;
  transform: translateY(10px);
  background: #000;
  transition: all 0ms 300ms;
}
.hamburger-menu.animate {
  background: rgba(0, 0, 0, 0);
}

.hamburger-menu:before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 10px;
  background: #000;
  transition: bottom 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.hamburger-menu:after {
  content: "";
  position: absolute;
  left: 0;
  top: 10px;
  background: #000;
  transition: top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.hamburger-menu.animate:after {
  top: 0;
  transform: rotate(45deg);
  transition: top 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.hamburger-menu.animate:before {
  bottom: 0;
  transform: rotate(-45deg);
  transition: bottom 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.instagram img,
.facebook img {
  height: 30px;
  width: 30px;
}



@media screen and (max-width: 640px) {

  body.menu-active .page-wrapper {
    transform: translateX(-25vw);
    opacity: .5;
    transition: all .5s ease-in-out 0s;
  }

  body .page-wrapper {
    opacity: 1;
    transition: all .5s ease-in-out 0s;
  }


  #overlay {
    width: 100vw;
    transform: translateX(100vw);
  }
}
